import { Config as Config$1 } from '@jest/types26';
import { Config as Config$2 } from '@jest/types27';
import { EnvironmentContext } from '@jest/environment26';
import { EnvironmentContext as EnvironmentContext$1 } from '@jest/environment27';
import { JestEnvironmentConfig, EnvironmentContext as EnvironmentContext$2 } from '@jest/environment28';
import { JestEnvironmentConfig as JestEnvironmentConfig$1, EnvironmentContext as EnvironmentContext$3 } from '@jest/environment29';

type Config = Config$1.ProjectConfig | Config$2.ProjectConfig | JestEnvironmentConfig | JestEnvironmentConfig$1;
type Context = EnvironmentContext | EnvironmentContext$1 | EnvironmentContext$2 | EnvironmentContext$3;

declare const _default: {
    new (config: Config, context: Context): {
        [x: string]: any;
    };
    [x: string]: any;
};

export { _default as default };
